%define version	2.8.2
%define prerel	0
%define rel	0

%define subrel 1

%if %prerel
%define srcname %{name}-%{version}%prerel
%define release %mkrel 0.%prerel.%rel
%else
%define srcname %{name}-%{version}
%define release %mkrel %rel
%endif

%define build_nox 1

Name:		qbittorrent
Version:	%{version}
Release:	%{release}
Summary:	A lightweight but featureful BitTorrent client
Group:		Networking/File transfer
License:	GPLv2+
Url:		http://qbittorrent.sourceforge.net/
%if %prerel
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent-unstable/%{name}-%{version}%{prerel}.tar.gz
%else
Source0:	http://downloads.sourceforge.net/project/qbittorrent/qbittorrent/qbittorrent-%{version}/qbittorrent-%{version}.tar.gz
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel >= 4:4.6
BuildRequires:	boost-devel
BuildRequires:	libtorrent-rasterbar-devel >= 0.14.4
Requires:	python
Requires:	geoip

%description
A lightweight but feature-full BitTorrent client that aims to be very easy 
to use. It is multi-platform and provides a Qt4 graphical interface.

%package -n %{name}-nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer

%description -n %{name}-nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%prep
%setup -q -n %{srcname} -a 0

%build
%setup_compile_flags

# build the headless part aka nox
%if %build_nox
pushd %{srcname}
  ./configure \
	--prefix=%{_prefix} \
	--qtdir=%{qt4dir} \
	--disable-gui \
	--disable-geoip-database
  %make
popd
%endif

# build the GUI
./configure \
	--prefix=%{_prefix} \
	--qtdir=%{qt4dir}
%make

%install
rm -rf %{buildroot}

# install headless part
%if %build_nox
pushd %{srcname}
  make INSTALL_ROOT=%{buildroot} install
popd
%endif

# install gui
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/qBittorrent.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/qbittorrent.png
%{_mandir}/man1/%{name}.1*

%if %build_nox
%files -n  %{name}-nox
%defattr(-,root,root,-)
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*
%endif


%changelog
* Wed Jun 29 2011 ahmad <ahmad> 2.8.2-0.1.mga1
+ Revision: 115527
- Update to stable 2.8.2 (since 2.8.1 never existed in /updates repos yet)
- Update to the stable 2.8.1
- Update to 2.8.0rc2

* Mon May 02 2011 ahmad <ahmad> 2.8.0-0.beta5.1.mga1
+ Revision: 94292
- Update to 2.8.0beta5

* Mon Apr 18 2011 ahmad <ahmad> 2.8.0-0.beta4.1.mga1
+ Revision: 87567
- Update to 2.8.0beta4

* Sat Apr 16 2011 ahmad <ahmad> 2.8.0-0.beta3.1.mga1
+ Revision: 86801
- update to 2.8.0beta3
- drop libnotify-devel BR completely upstream now uses dbus

* Sun Apr 10 2011 ahmad <ahmad> 2.8.0-0.beta1.1.mga1
+ Revision: 82711
- update to 2.8.0beta1
- drop the deprecated --disable-libnotify from nox configure options

* Sat Mar 26 2011 ahmad <ahmad> 2.7.1-1.mga1
+ Revision: 77740
- update to 2.7.1

* Sun Mar 20 2011 ahmad <ahmad> 2.7.0-1.mga1
+ Revision: 74968
- update to 2.7.0

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta4.1.mga1
+ Revision: 70822
- update to 2.7.0beta4

* Sun Mar 13 2011 ahmad <ahmad> 2.7.0-0.beta3.1.mga1
+ Revision: 70731
- update to 2.7.0beta3

* Sun Feb 27 2011 ahmad <ahmad> 2.7.0-0.beta2.1.mga1
+ Revision: 61193
- update to 2.7.0beta2

* Fri Feb 25 2011 ahmad <ahmad> 2.7.0-0.beta1.1.mga1
+ Revision: 59973
- update to 2.7.0beta1
- simplify building the nox and the gui, similar trick to the one used to build
  wxgtk, and wxgtku in the wxgtk2.8 spec

* Tue Feb 08 2011 ahmad <ahmad> 2.6.6-1.mga1
+ Revision: 49208
- update to 2.6.6
- update to 2.6.5

* Mon Jan 24 2011 ahmad <ahmad> 2.6.4-1.mga1
+ Revision: 36008
- update to 2.6.4

* Sun Jan 16 2011 ahmad <ahmad> 2.6.3-1.mga1
+ Revision: 19970
- update to 2.6.3
- imported package qbittorrent


* Thu Jan 06 2011 Ahmad Samir <ahmadsamir@mandriva.org> 2.6.0-0.rc2.1mdv2011.0
+ Revision: 629152
- update to 2.6.0rc2
- drop unused patch

* Sat Jan 01 2011 Ahmad Samir <ahmadsamir@mandriva.org> 2.6.0-0.beta4.1mdv2011.0
+ Revision: 627199
- update to 2.6.0beta3

* Sat Dec 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.6.0-0.beta2.1mdv2011.0
+ Revision: 625050
- update to 2.6.0beta2

* Sun Dec 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.6.0-0.beta1.1mdv2011.0
+ Revision: 623027
- update to 2.6.0beta1
- improve spec

* Sun Dec 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.1-1mdv2011.0
+ Revision: 609691
- update to 2.5.1

* Sun Dec 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-1mdv2011.0
+ Revision: 609636
- update to 2.5.0

* Mon Nov 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.rc4.2mdv2011.0
+ Revision: 603117
- update to 2.5.0rc4
- drop patch1, fixed upstream

* Fri Nov 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.rc2.2mdv2011.0
+ Revision: 601594
- add patch from upstream to fix possible crash when loading columns visual indexes

* Thu Nov 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.rc2.1mdv2011.0
+ Revision: 601247
- update to 2.5.0rc2

* Tue Nov 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.rc1.1mdv2011.0
+ Revision: 600252
- update to 2.5.0rc1
- bump qt4 BR to 4.5
- fix qt4-devel BR (by adding the Epoch)

* Tue Nov 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.beta7.1mdv2011.0
+ Revision: 599882
- update to 2.5.0beta7 and drop patch1 (merged upstream)

* Thu Nov 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.beta4.1mdv2011.0
+ Revision: 598797
- Update to 2.5.0beta4
- Add patch from upstream to fix compilation errors

* Sun Nov 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.beta3.1mdv2011.0
+ Revision: 597481
- Update to 2.5.0beta3

* Sun Nov 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.5.0-0.beta2.1mdv2011.0
+ Revision: 594635
- update to 2.5.0 beta2

* Sun Oct 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.9-1mdv2011.0
+ Revision: 591214
- update to 2.4.9
- drop merged patch

* Tue Oct 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.8-2mdv2011.0
+ Revision: 589510
- add upstream patch to fix a crash when pressing Enter in the in the save path
  field of the torrent addition dialogue

* Sun Oct 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.8-1mdv2011.0
+ Revision: 588287
- update to 2.4.8

* Wed Oct 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.7-1mdv2011.0
+ Revision: 586908
- update to 2.4.7

* Sun Oct 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.6-1mdv2011.0
+ Revision: 586378
- update to 2.4.6

* Tue Oct 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.5-1mdv2011.0
+ Revision: 585197
- update to 2.4.5

* Sat Oct 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.4-1mdv2011.0
+ Revision: 582427
- update to 2.4.4

* Tue Sep 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.3-1mdv2011.0
+ Revision: 581850
- update to 2.4.3

* Sun Sep 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 581119
- update to 2.4.2

* Sun Sep 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.1-1mdv2011.0
+ Revision: 581051
- update to 2.4.1

* Wed Aug 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 573328
- update to 2.4.0 final

* Fri Aug 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.4.0-0.rc1.1mdv2011.0
+ Revision: 571485
- change spec to make it easier to package pre-releases (thanks to the meticulous
  transmission.spec)
- update to 2.4.0rc1

* Tue Aug 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.1-1mdv2011.0
+ Revision: 570997
- update to 2.3.1

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 2.3.0-2mdv2011.0
+ Revision: 566031
- rebuild for new boost

* Tue Jul 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 562091
- update to 2.3.0 final

* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc10.1mdv2011.0
+ Revision: 558200
- 2.3.0rc10
- update to 2.3.0rc9

* Wed Jul 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc7.1mdv2011.0
+ Revision: 556352
- update to 2.3.0rc7

* Mon Jul 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.3.0-0.rc5.1mdv2011.0
+ Revision: 555018
- update to 2.3.0rc5
- update to 2.3.0rc4
- update to 2.3.0rc2

* Wed Jun 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.10-1mdv2010.1
+ Revision: 548726
- new bug fix release, 2.2.10
- drop patch1, merged upstream

* Thu Jun 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.9-2mdv2010.1
+ Revision: 548245
- add patch from upstream to fix web ui

* Sun Jun 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.9-1mdv2010.1
+ Revision: 547954
- new upstream bug fix release 2.2.9
- drop patch1, merged upstream
- use the actual source url
- fix typo in description

* Fri Apr 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.6-2mdv2010.1
+ Revision: 538373
- add upstream patch to fix a unicode bug when moving torrents

* Tue Apr 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 537236
- new version 2.2.6

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.5-1mdv2010.1
+ Revision: 532716
- new upstream release 2.2.5
- drop patch1, merged upstream
- bump release

* Tue Apr 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.4-2mdv2010.1
+ Revision: 532251
- add upstream patch to fix crash when adding labels

* Tue Apr 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 532047
- new upstream release 2.2.4

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.3-1mdv2010.1
+ Revision: 531513
- new upstream release 2.2.3
- drop patch1, merged upstream

* Tue Mar 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.2-2mdv2010.1
+ Revision: 526969
- add upstream patch to fix crash when deleting a torrent just after pausing it

* Mon Mar 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 526684
- new upstream release 2.2.2
- drop patch1, merged upstream

* Sun Mar 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.1-2mdv2010.1
+ Revision: 526018
- add upstream patch for more robust fast-resume

* Sat Mar 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 525481
- new upstream release 2.2.1

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-1mdv2010.1
+ Revision: 519114
- 2.2.0 final

* Tue Mar 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.rc2.1mdv2010.1
+ Revision: 516805
- new upstream release 2.2.0 rc2

* Sun Mar 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.rc1.1mdv2010.1
+ Revision: 515319
- new upstream release 2.2.0 rc1

* Thu Feb 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta4.1mdv2010.1
+ Revision: 504168
- 2.2.0 beta4

* Tue Feb 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta3.1mdv2010.1
+ Revision: 503161
- update to 2.2.0beta3

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 2.2.0-0.beta2.2mdv2010.1
+ Revision: 501882
- rebuild for new boost

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - clean spec

* Thu Feb 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta2.1mdv2010.1
+ Revision: 500657
- Update to 2.2.0beta2
- Drop patch0

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 2.2.0-0.beta1.3mdv2010.1
+ Revision: 500582
- rebuild

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 2.2.0-0.beta1.2mdv2010.1
+ Revision: 500307
- rebuild for new boost

* Sat Jan 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.0-0.beta1.1mdv2010.1
+ Revision: 498420
- Update to 2.2.0beta1
- Add upstream patch to fix alternative upload speed limit overwriting standard
   upload speed limit
- Add patch to disable extra debug (from Fedora)

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 495605
- new upstream release 2.1.2
- drop patch merged upstream

* Thu Jan 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-3mdv2010.1
+ Revision: 494764
- add upstream patch to fix folder renaming

* Thu Jan 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-2mdv2010.1
+ Revision: 494423
- use better build method to get proper debug info (from Fedora)
- clean spec

* Wed Jan 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 494265
- bug fix release 2.1.1

* Mon Jan 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-2mdv2010.1
+ Revision: 493293
- it can work with libtorrent-rasterbar-devel >= 0.14.4 too

* Mon Jan 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-1mdv2010.1
+ Revision: 493245
- 2.1.0 final release

* Sun Jan 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc7.2mdv2010.1
+ Revision: 492535
- build qbittorrent-nox, a headless client

* Fri Jan 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc7.1mdv2010.1
+ Revision: 491590
- new release 2.1.0rc7

* Wed Jan 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.1.0-0.rc6.1mdv2010.1
+ Revision: 490476
- update to 2.1.0-rc6

* Mon Jan 11 2010 Jérôme Brenier <incubusss@mandriva.org> 2.1.0-0.rc5.1mdv2010.1
+ Revision: 489792
- new version 2.1.0rc5

* Sat Jan 09 2010 Jérôme Brenier <incubusss@mandriva.org> 2.1.0-0.rc4.1mdv2010.1
+ Revision: 488211
- new upstream release 2.1.0rc4
- update minimal version of libtorrent-rasterbar-devel BR

* Sun Jan 03 2010 Jérôme Brenier <incubusss@mandriva.org> 2.0.5-1mdv2010.1
+ Revision: 485776
- import qbittorrent


